AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Twidere Project
AuthorEmail: twidere.project@gmail.com
WebSite: https://twidere.com/
SourceCode: https://github.com/TwidereProject/TwidereX-Android
IssueTracker: https://github.com/TwidereProject/TwidereX-Android/issues
Translation: http://crowdin.net/project/twidere-x
Donate: https://paypal.me/yisiliu2
Bitcoin: 3HGDdf9ptTPNaY7C53gREMUnUsUVUoqm8G

AutoName: Twidere X
Description: |-
    Next generation of Twidere for Android 5.0+. Still in early stage.

    Development is focussed on Twitter and that service is the only one officially
    supported.

    You can donate via PayPal and Bitcoin here.

RepoType: git
Repo: https://github.com/TwidereProject/TwidereX-Android

Builds:
  - versionName: 1.0.3
    versionCode: 15
    commit: 1.0.3
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/START Non-FOSS component/,/END Non-FOSS component/d' build.gradle

  - versionName: 1.0.6
    versionCode: 27
    commit: 1.0.6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/START Non-FOSS component/,/END Non-FOSS component/d' build.gradle

  - versionName: 1.1.0
    versionCode: 39
    commit: 1.1.0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/START Non-FOSS component/,/END Non-FOSS component/d' build.gradle

AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/TwidereProject/TwidereX-Android/master/versions.gradle|versionCode\s+:\s+(\d+)|.|versionName\s+:\s+"([\d.]+)"
CurrentVersion: 1.1.0
CurrentVersionCode: 39
